Bug 220075 - Anaconda dislikes USB boot media, leading to backtrace
Anaconda dislikes USB boot media, leading to backtrace
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 14:28 EST by Jason Tibbitts
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 14:30:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda backtrace (1.74 KB, text/plain)
2006-12-18 14:28 EST, Jason Tibbitts
no flags Details

  None (edit)
Description Jason Tibbitts 2006-12-18 14:28:59 EST
I generally boot machines via USB.  FC6 seems to dislike having the boot media
still plugged in once the install process begins.  I get a dialog containing the
text:

---
/dev/sda currently has a loop partition layout.  To use this disk for the
installation of Fedora Cored, it must be re-initialized, causing the loss of ALL
DATA on this drive.

Would you like to format this drive?
---

Not wanting to erase my boot media, I click "Ignore drive", at which point I
receive the included backtrace.

Unfortunately the log includes my entire kickstart file, which contains things I
would rather not make public, so I will attach just the backtrace and the local
variable dump; please let me know if there's additional information I can provide.
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Tibbitts 2006-12-18 14:28:59 EST
Created attachment 143930 [details]
Anaconda backtrace
Comment 2 Jason Tibbitts 2006-12-18 15:34:23 EST
Gak, I apologize for not deleting that junk at the end.

In any case, a reasonable workaround for my situation is to boot with
"nousbstorage", which disables detection of USB storage media.  This is only
useful if you don't need to access any USB-based media in the installation. 
Unfortunately, it is not uncommon for me to need to pull driver disks off of a
USB stick.
Comment 3 Jeremy Katz 2006-12-19 14:30:58 EST
The traceback should be resolved in rawhide; unfortunately, I don't really know
of a way to avoid popping up and asking the qeustion as generally, we want to a)
allow people to install to USB devices but b) require a partition table to be
present 
Comment 4 Jason Tibbitts 2006-12-19 14:34:49 EST
I suppose it's possible to hide USB storage devices by default but then allow
them to be installed to via the "Advanced" button in the manner that iSCSI
targets are accessed.

I guess the question is whether it's more common to boot from a USB device or
install to one.  I know I've done the former hundreds of times but have never
done the latter, but it's quite possible my experience is atypical.

Note You need to log in before you can comment on or make changes to this bug.